Generate a list of suggested questions
curl --request POST \
--url https://api.example.com/api/query/suggest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.example.com/api/query/suggest"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.example.com/api/query/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"suggestion": "<string>",
"description": "<string>",
"sql": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ask
Generate a list of suggested questions
Generates a list of suggested questions or queries for a specific data domain.
POST
/
api
/
query
/
suggest
Generate a list of suggested questions
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
The domain or data context that NexusOne generates suggestions for.
Response
Suggestion successfully requested.
A short title or summary of the AI-generated suggestion.
A detailed explanation or reasoning for the generated suggestion.
The SQL query generated by the AI based on the suggestion.
A unique identifier for the AI-generated suggestion.
Was this page helpful?
⌘I

